﻿using System;
using System.IO;

namespace IntelliSite.CommonUtil
{
	[Message]
	public class DisconnectMessage : MessageBase
	{
		public const short MessageType = 3;

		public DisconnectMessage()
		{
			Type = MessageType;
		}

		public DisconnectMessage( MessageBase message )
			: base( message )
		{
		}

		public override string ToString()
		{
			return "Disconnect";
		}
	}
}
