﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IntelliSite.CommonUtil
{
	public class OutputDebugArgs : EventArgs
	{
		public string Format { get; private set; }
		public object[] List { get; private set; }

		public OutputDebugArgs( string format, object[] list=null )
			: base()
		{
			Format = format;
			List   = list;
		}

		public override string ToString()
		{
			return List != null ? string.Format( Format, List ) : Format;
		}
	}
}
