﻿using System;
using System.IO;

namespace IntelliSite.CommonUtil
{
	[Message]
	public class HeartbeatMessage : MessageBase
	{
		public const short MessageType = 4;

		public HeartbeatMessage()
		{
			Type = MessageType;
		}

		public HeartbeatMessage( MessageBase message )
			: base( message )
		{
		}

		public override string ToString()
		{
			return "Heartbeat";
		}
	}
}
