﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace IntelliSite.CommonUtil
{
	public class PeekableFileStream : PeekableStream
	{
		public List<byte[]> Data { get; set; }

		public PeekableFileStream() : base()
		{
			Data = new List<byte[]>();
		}

		public override bool SupportsMultipleChunks                         { get { return true; } }

		public override int ChunkCount                                      { get { return Data.Count; } }
		public override int ChunkSize( int index )	                        { return Data[index].Length; }
		public override byte[] PeekChunk( int index, int offset, int size ) { return Data[index]; }

		public override bool CanRead                                        { get { return true; } }
		public override bool CanSeek                                        { get { return false; } }
		public override bool CanWrite                                       { get { return true; } }
		public override void Flush()                                        { throw new NotImplementedException(); }
		public override long Position                                       { get { throw new NotImplementedException(); } set { throw new NotImplementedException(); } }
		public override void SetLength( long value )                        { throw new NotImplementedException(); }
		public override long Seek( long offset, SeekOrigin origin )			{ throw new NotImplementedException(); }

		public override int Read( byte[] buffer, int offset, int count )
		{
			throw new NotImplementedException();
		}

		public override void Write( byte[] buffer, int offset, int count )
		{
			throw new NotImplementedException();
		}
	}
}
