﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using Microsoft.Win32;

namespace IntelliSite.CommonUtil
{
	public class ProductDriverInfo : ProductComponentInfo
	{
		protected ProductDriverInfo()
			: base()
		{
		}

		public ProductDriverInfo( string groupKey, string itemKey, RegistryKey key )
			: base( groupKey, itemKey, key )
		{
			this.DriverType = (string)key.GetValue( "DriverType" );
		}

		public virtual string DriverType { get; protected set; }
	}
}
