﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;
using IntelliSite.WinForms.VideoView;

namespace StandaloneVideoView
{
	[DataContract]
	[KnownTypeAttribute(typeof(AvailableCamera))]
	[KnownTypeAttribute(typeof(EditProperty))]
	[KnownTypeAttribute(typeof(VideoView.VideoLayouts))]
	public class Configuration
	{
		[DataMember]
		public string Name { get; set; }
		[DataMember]
		public List<object> AvailableCameras { get; set; }
		[DataMember]
		public VideoView.VideoLayouts VideoLayout { get; set; }
		[DataMember]
		public List<string> CameraNames { get; set; }

		public Configuration()
		{
			Name = "New Configuration";
			AvailableCameras = new List<object>();
			VideoLayout = VideoView.VideoLayouts.TwoByTwo;
			CameraNames = new List<string>();
		}
	}
}
