﻿using System;
using System.Collections.Generic;

namespace IntelliSite.VideoCommon
{
	public class AutoDetectProgressArgs : EventArgs
	{
		public int Percent { get; set; }
		public string Text { get; set; }

		public AutoDetectProgressArgs( int percent, string text )
		{
			Percent = percent;
			Text = text;
		}

		public override string ToString()
		{
			return String.Format( "AutoDetectProgress: {0}: {1}", Text, Percent );
		}
	}
}
